body {
	background-color       : #404040;
	color                  : #AAAAAA;

	padding: 0;
	margin: 0;

	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;

	display: flex;
	flex-direction:column;
}

a {
	color : #AAAAAA;
}

header {
	margin : 0;
	padding : 0;
	text-align : center;
}

header h1 {
	margin : 0;
	padding : 0;
}

nav {
	border-top: 1px solid #AAAAAA;
	display: flex;
	flex-direction : row;
}

nav a {
	padding-right : 0.5em;
	padding-left : 0.5em;
	border-right: 1px solid #AAAAAA;
	text-decoration : none;
} 

header, nav, footer {
	background-color: #202020;
}

#central-view {
	flex-grow:1;
	display: flex;
	flex-direction: row;
}

#content {
	flex-grow:1;
	background-image       : 
		linear-gradient(rgba(64, 64, 64, 0.9), rgba(64, 64, 64, 0.9)),
		url(/imgs/logo.svg);
	background-repeat      : no-repeat;
	background-position    : center;
	background-size: auto 50%;
	padding : 0.5em;
}

#content section {
	border-bottom: 1px solid #AAAAAA;
}

/* tuile speciale qui marque le site comme etant en construction */
#coding {
	background-color : rgba(255, 128, 0, 0.5);
	border-radius : 1em;
	min-height : 25%;
	text-align : center;
	background-image       : 
		url(/imgs/under-construction.svg);
	background-repeat      : no-repeat;
	background-position    : center;
	background-size: auto 50%;

	margin : 1em;

	color : white;
}

#content section:last-child {
	border-bottom: unset;
}

#central-view aside { 
	background-color: #202020;
	border-top: 1px solid #AAAAAA;
	border-bottom: 1px solid #AAAAAA;
	z-index : 10;
	padding : 0.5em;
}

footer{
	display: grid;
	grid-template-columns: 25% 25% 25% 25%;
	grid-template-columns: 33% 33% 33%;
}

footer p, footer a {
	display: flex;
	flex-direction: column;
	align-items: center;
	text-align: center;

	border-right: 1px solid #AAAAAA;
	margin: 0;
	padding: 0;
}

footer a {
	text-decoration: none;
}

footer a:hover {
	background-color : rgba(255, 255, 255, 0.1);
}

footer a:last-child, footer p:last-child {
	border-right: unset;
}

footer img {
	margin : 0.5em;
	max-width : 1.5em;
	max-height : 1.5em;
}
